Bug 1011267 - No error message when rpm sync has failures.
No error message when rpm sync has failures.
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
high Severity unspecified
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 20:56 EDT by Preethi Thomas
Modified: 2013-12-09 09:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-23 20:56:28 EDT
Description of problem:

No error is being displayed when rpm sync fails with an InvalidChecksumType error in the nectar.log

Version-Release number of selected component (if applicable):
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]# 


How reproducible:


Steps to Reproduce:
1. create a cdn repo with --validate true
2. sync the repo
3.tail nectar.log

Actual results:
[root@pulp-v2-server ~]#  pulp-admin rpm repo create --repo-id SAM --feed https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6Server/x86_64/subscription-asset-manager/1/os/ --feed-ca-cert CDN/cdn.redhat.com-chain.crt --feed-cert CDN/1359391926_4512.crt  --feed-key CDN/1359391926_4512.key --relative-url /SAM-REPO/ --remove-missing true --validate false
Successfully created repository [SAM]

[root@pulp-v2-server ~]#  pulp-admin rpm repo update --repo-id SAM --validate true
Repository [SAM] successfully updated

[root@pulp-v2-server ~]# pulp-admin rpm repo sync run --repo-id SAM+----------------------------------------------------------------------+
                     Synchronizing Repository [SAM]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[                                                  ] 0%
RPMs:       0/353 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed


Expected results:


Additional info:

from nectar.log

InvalidChecksumType: Unknown checksum type [sha]
2013-09-23 17:51:03,977 nectar.downloaders.base:ERROR: Unknown checksum type [sha]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nectar/downloaders/base.py", line 110, in _fire_event_to_listener
    event_listener_callback(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/listener.py", line 79, in download_succeeded
    self._verify_checksum(model, report)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/listener.py", line 160, in _verify_checksum
    model.unit_key['checksum'])
  File "/usr/lib/python2.6/site-packages/pulp/plugins/util/verification.py", line 85, in verify_checksum
    raise InvalidChecksumType('Unknown checksum type [%s]' % checksum_type)
InvalidChecksumType: Unknown checksum type [sha]
2013-09-23 17:51:04,010 nectar.downloaders.base:ERROR: Unknown checksum type [sha]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nectar/downloaders/base.py", line 110, in _fire_event_to_listener
    event_listener_callback(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/listener.py", line 79, in download_succeeded
    self._verify_checksum(model, report)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/listener.py", line 160, in _verify_checksum
    model.unit_key['checksum'])
  File "/usr/lib/python2.6/site-packages/pulp/plugins/util/verification.py", line 85, in verify_checksum
    raise InvalidChecksumType('Unknown checksum type [%s]' % checksum_type)
InvalidChecksumType: Unknown checksum type [sha]
2013-09-23 17:51:04,027 nectar.downloaders.base:ERROR: Unknown checksum type [sha]
Comment 1 Michael Hrivnak 2013-09-27 18:43:58 EDT
This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1011268
Comment 2 Barnaby Court 2013-09-30 13:40:47 EDT
Pull request: https://github.com/pulp/pulp_rpm/pull/345
Comment 3 Jeff Ortel 2013-10-02 09:30:49 EDT
build: 2.3.0-0.17.beta
Comment 4 Preethi Thomas 2013-10-04 15:11:31 EDT
[root@pulp-v2-server ~]# pulp-admin rpm repo create --repo-id test --feed http://repos.fedorapeople.org/repos/pulp/pulp/v2/beta/5Server/
Successfully created repository [test]

[root@pulp-v2-server ~]# pulp-admin rpm repo sync run --repo-id test
+----------------------------------------------------------------------+
                    Synchronizing Repository [test]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... failed

Not Found

[root@pulp-v2-server ~]#
Comment 5 Preethi Thomas 2013-12-09 09:30:02 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.